创建AWD入库任务
POST
/amzStaServer/openapi/awd/inbound-plan/createInboundPlan接口信息
| API Path | 请求协议 | 请求方式 | [令牌桶容量]() |
|---|---|---|---|
/amzStaServer/openapi/awd/inbound-plan/createInboundPlan | HTTPS | POST | 1 |
请求参数
awdDeliveredGoodsBOSarray<object>必填隐藏子属性
boxQuantitystring必填expirationstringheightnumberlabelOwnerstringlengthnumber必填lengthUnitstringmskustring必填prepCategorystringprepOwnerstringquantityInBoxstring必填weightnumber必填weightUnitstringwidthnumber必填awdShippingAddressBOobject必填隐藏子属性
addressLine1string必填addressLine2stringcitystring必填countryCodestring必填phoneNumberstring必填postalCodestring必填shipperNamestring必填stateOrProvinceCodestring必填zonestringdestinationRegionstringsidinteger必填请求示例
json
{
"awdDeliveredGoodsBOS": [
{
"boxQuantity": "5",
"expiration": "2025-12-31",
"height": 12.34,
"labelOwner": "SELF",
"length": 20.50,
"lengthUnit": "INCHES",
"msku": "ABC123456",
"prepCategory": "FRAGILE",
"prepOwner": "SELF",
"quantityInBox": "10",
"weight": 15.75,
"weightUnit": "POUNDS",
"width": 15.25
}
],
"awdShippingAddressBO": {
"addressLine1": "123 Main St",
"addressLine2": "Suite 100",
"city": "Seattle",
"countryCode": "US",
"phoneNumber": "13800138000",
"postalCode": "98101",
"shipperName": "ABC Company",
"stateOrProvinceCode": "WA",
"zone": "Downtown"
},
"destinationRegion": "us-west",
"sid": 1234567890
}
返回结果
Json Object
codeintegerdataobject隐藏子属性
orderIdstringerror_detailsarray<any>messagestringrequest_idstringresponse_timestring返回成功示例
json
{
"code": 0,
"message": "操作成功",
"data": {
"orderId": "AWD123456789"
},
"error_details": [],
"request_id": "a1b2c3d4-e5f6-7890-g1h2-i3j4k5l6m7n8",
"response_time": "2024-01-01 12:00:00"
}